Subject: Re: missing handling of "No newline at end of file" in git am

From: Olaf Hering <[email-masked]>
Date: Tue, 14 Feb 2017 21:51:03 +0100

Am Tue, 14 Feb 2017 12:40:36 -0800
schrieb Junio C Hamano <[email-masked]>:

> Olaf Hering <[email-masked]> writes:
> 
> > How is git send-email and git am supposed to handle a text file
> > which lacks a newline at the very end? This is about git 2.11.0.  
> 
> I think this has always worked, though.

For me it complains in line 721, which is the problematic one.
I try to apply from mutt via (cd /some/dir && git am), but that
probably does not make a difference.

How would I debug it?

Olaf